/* eslint-disable no-multi-assign */
import React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import getOperatorData from '../../../../../../../tests/factories/pages/operator.factory';
import TemplateFive from '.';

describe('Operator template Five component', () => {
  const data = getOperatorData();

  test('Template Five Status Active', () => {
    const { container, getByText } = render(<TemplateFive {...data} />);
    expect(getByText('Ice Casino')).toBeTruthy();
    expect(container.querySelectorAll('h1')).toHaveLength(1);
    expect(container.querySelectorAll('a')).toHaveLength(3);
    expect(getByText('100% Bonus')).toBeTruthy();
    expect(getByText('+ Big Promotions')).toBeTruthy();
  });
});

afterEach(() => {
  cleanup();
});
